Libosmium: detail::changeset_handler Struct Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
detail::changeset_handler Struct Reference

`#include <attr.hpp>`

Inheritance diagram for detail::changeset_handler:
[legend]
Collaboration diagram for detail::changeset_handler:
[legend]

## Static Public Member Functions
template<typename TDummy>
static void | set_value (osmium::Changeset &, const TDummy &) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_cid id) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_num_changes num_changes) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_num_comments num_comments) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_created_at created_at) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_closed_at closed_at) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_uid uid) noexcept

## Member Function Documentation

## ◆ set_value() [1/7]

template<typename TDummy>

void detail::changeset_handler::set_value | ( | osmium::Changeset & | ,
|  | const TDummy & | )
| inlinestaticnoexcept

## ◆ set_value() [2/7]

void detail::changeset_handler::set_value | ( | osmium::Changeset & | changeset,
|  | attr::_cid | id )
| inlinestaticnoexcept

## ◆ set_value() [3/7]

void detail::changeset_handler::set_value | ( | osmium::Changeset & | changeset,
|  | attr::_closed_at | closed_at )
| inlinestaticnoexcept

## ◆ set_value() [4/7]

void detail::changeset_handler::set_value | ( | osmium::Changeset & | changeset,
|  | attr::_created_at | created_at )
| inlinestaticnoexcept

## ◆ set_value() [5/7]

void detail::changeset_handler::set_value | ( | osmium::Changeset & | changeset,
|  | attr::_num_changes | num_changes )
| inlinestaticnoexcept

## ◆ set_value() [6/7]

void detail::changeset_handler::set_value | ( | osmium::Changeset & | changeset,
|  | attr::_num_comments | num_comments )
| inlinestaticnoexcept

## ◆ set_value() [7/7]

void detail::changeset_handler::set_value | ( | osmium::Changeset & | changeset,
|  | attr::_uid | uid )
| inlinestaticnoexcept

The documentation for this struct was generated from the following file:

- include/osmium/builder/attr.hpp